- Qt 5.5
- Qt Quick
- C++ Classes
- ColoredPoint2D
- Qt 5.5.1 Reference Documentation

# ColoredPoint2D Class

(QSGGeometry::ColoredPoint2D)

The QSGGeometry::ColoredPoint2D struct is a convenience struct for accessing 2D Points with a color. More...

Header: | #include <ColoredPoint2D>
qmake: | QT += quick

- List of all members, including inherited members

## Public Functions

void | set(float x, float y, uchar red, uchar green, uchar blue, uchar alpha)

## Detailed Description

The QSGGeometry::ColoredPoint2D struct is a convenience struct for accessing 2D Points with a color.

## Member Function Documentation

### void ColoredPoint2D::set(float x, float y, uchar red, uchar green, uchar blue, uchar alpha)

Sets the position of the vertex to x and y and the color to red, green, blue, and alpha.